Bug 142696 - gsl-config outputs invalid flags on multilib 64-bit architectures
gsl-config outputs invalid flags on multilib 64-bit architectures
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gsl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks: 142695
  Show dependency treegraph
 
Reported: 2004-12-12 18:47 EST by Miloslav Trmač
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-18 10:08:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2004-12-12 18:47:10 EST
On i386:
        $ gsl-config --libs
        -lgsl -lgslcblas -lm
On x86_64:
        $ gsl-config --libs
        64 -lgsl -lgslcblas -lm

'64' is not a valid linker flag :)
I suspect (but have not verified) that this also happens on ppc64 and s390x.

Version-Release number of selected component (if applicable):
gsl-1.5-1
Comment 2 Ivana Varekova 2004-12-15 08:14:34 EST
Thank you for your notice. 
The problem was fixed.
Ivana Varekova 
Comment 3 Miloslav Trmač 2004-12-18 10:08:03 EST
Fix confirmed, thanks!

Note You need to log in before you can comment on or make changes to this bug.